Search a user's Data Studio assets.

## Request

### HTTP request

    GET https://datastudio.googleapis.com/v1/assets:search

### Parameters

| Parameter name | Type | Description |
|---|---|---|
| assetTypes | Array\<[AssetType](https://developers.google.com/data-studio/integrate/api/reference/types#AssetType)\> | **Required**. The asset type to search. Exactly one asset type must be specified. |
| title | string | The search string. By default, the string is checked against the title and description of the asset. See the [Examples](https://developers.google.com/data-studio/integrate/api/reference/assets/search#examples) section for advanced search strings. |
| includeTrashed | boolean | Defaults to `false`. - When this parameter is set to `true`, only assets from the trash are included. - When this parameter is set to `false`, only assets not in the trash are included. |
| owner | string | The asset owner's email. |
| orderBy | string | The order of the results. You can sort by the following fields: - `title` - `last_viewed_by_me` - `create_time` - `last_accessed_time` - `id` |
| pageSize | number | The number of results to include per page. Defaults to 1000. |
| pageToken | string | A token identifying a page of results to return. To paginate results, use a `nextPageToken` value or `previousPageToken` value from another request. |

### Authorization

This request requires authorization with at least one of the following scopes:

| Scope |
|---|
| `https://www.googleapis.com/auth/datastudio.readonly` |
| `https://www.googleapis.com/auth/datastudio` |

### Request body

Don't supply a request body with this method.

## Response

If successful, this method returns a response body with the following structure:

    {
      "assets": [Asset],
      "nextPageToken": string
    }

| Property name | Type | Description |
|---|---|---|
| assets | Array\<[Asset](https://developers.google.com/data-studio/integrate/api/reference/types#Asset)\> | The list of assets. |
| nextPageToken | string | A token to retrieve the next page of results. This property is only present when the number of results is greater than the request `pageSize`. An empty `nextPageToken` indicates that there are no more results to return. |
| previousPageToken | string | A token to retrieve the previous page of results. An empty `previousPageToken` indicates the beginning of the result set. |

## Examples

You can pass advanced search strings in the `title` field.
You can use multiple search types in a single search string, and you can combine multiple search strings.
The following table shows the supported search string syntax.

| Filter | Definition | Examples |
|---|---|---|
| Creator | Search for assets created by a specific user. | - `creator:me` - `creator:user@example.com` |
| Owner | Search for assets owned by a specific user. | - `owner:me` - `owner:user@example.com` |
| Project | Search for assets in a project. | - `projectNumber:123456789` |
| Workspace | Search for assets in a workspace or folder. | - `parentWorkspace:2a080c66-50cb-4399-92a8-74c534da2de9` |
| From | Search for assets that a user has shared with you. | - `from:user@example.com` |
| To | Search for assets that you have shared with a user or group. | - `to:user@example.com` - `to:example-group@googlegroups.com` |